import { GetMessageOptions, MessageBoxConstructorOptions, MessageFactoryFunction, type MessageList, TrackerDepLike, TrackerLike, ValidationError } from './types.js';
export declare const DEFAULT_INTERPOLATE: RegExp;
export declare const DEFAULT_ESCAPE: RegExp;
export declare const SUGGESTED_EVALUATE: RegExp;
declare class MessageBox {
    static language: string | null | undefined;
    static interpolate: RegExp | undefined;
    static evaluate: RegExp | undefined;
    static escape: RegExp | undefined;
    static messages: MessageList;
    language: string;
    readonly interpolate: RegExp | undefined;
    readonly evaluate: RegExp | undefined;
    readonly escape: RegExp | undefined;
    readonly messageList: MessageList;
    readonly tracker: TrackerLike | undefined;
    readonly trackerDep: TrackerDepLike | undefined;
    constructor({ escape, evaluate, initialLanguage, interpolate, messages, tracker }?: MessageBoxConstructorOptions);
    clone(): MessageBox;
    getMessages(language?: string | undefined): {
        messages: Record<string, string | MessageFactoryFunction | Record<string, string | MessageFactoryFunction>>;
        language: string;
    };
    message(errorInfo: ValidationError, { context, language }?: GetMessageOptions): string;
    messages(messages: MessageList): void;
    setLanguage(language: string): void;
    static makeNameGeneric(name: string | null | undefined): string | null;
    static defaults({ escape, evaluate, initialLanguage, interpolate, messages }?: Omit<MessageBoxConstructorOptions, 'tracker'>): void;
}
export default MessageBox;
